Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

So I am having an issue that I have seen other people have on many different systems. I have to build Subversion on a SunOS 5.10 box and have run into issues.

I have the openssl source code installed and in the subversion-1.6.9 folder, I run the following:

./configure --with-ssl --with-libs=/opt/exp/lib/openssl/lib

and receive the error:

checking for library containing RSA_new... not found
configure: error: could not find library containing RSA_new
configure failed for neon

I have also tried running the command without the "lib" on the end of the --with-libs path.

I read online that I need the openssl-devel packages, but I have been unable to find them for SunOS 5.10, and they do not show up already installed on my system when running pkginfo. I have looked online including http://www.sunfreeware.com/ which I was told was a good SunOS software source.

Any help you can provide would be welcomed.

Thanks, Sean

share|improve this question
add comment

1 Answer

up vote 0 down vote accepted

You need a newer openssl, as you stated (available from sunfreeware) and you need to make sure your build process is looking for the new openssl, not the one shipped...

the original link below is dead. See https://blogs.oracle.com/rama/entry/compiling_subversion_with_ssl_support

share|improve this answer
    
This fixed it, thanks. –  user35949 Mar 1 '10 at 19:56
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.